#ifndef MYX_BASE_CONFIG_HPP_
#define MYX_BASE_CONFIG_HPP_

#pragma once

#ifdef MYXLIB_BUILD_LIBRARIES
#undef MYXLIB_HEADER_ONLY

#if defined( _WIN32 ) && defined( MYXLIB_SHARED_LIB )
#ifdef myxlib_EXPORTS
#define MYXLIB_API __declspec( dllexport )
#else
#define MYXLIB_API __declspec( dllimport )
#endif
#else
#define MYXLIB_API
#endif
#define MYXLIB_INLINE
#else
#define MYXLIB_HEADER_ONLY
#define MYXLIB_API
#define MYXLIB_INLINE inline
#endif // ifdef MYXLIB_BUILD_LIBRARIES

#ifdef MYXLIB_HEADER_ONLY
#include "config.cpp"
#endif

#endif // MYX_BASE_CONFIG_HPP_
